QwtNullPaintDevice(3)

NAME
QwtNullPaintDevice -

A null paint device doing nothing.

SYNOPSIS

#include <qwt_null_paintdevice.h>

Inherited by QwtStyleSheetRecorder.

  Public Member Functions
QwtNullPaintDevice (QPaintEngine::PaintEngineFeatures)
QwtNullPaintDevice (const QSize &size, QPaintEngine::PaintEngineFeatures)
virtual ~QwtNullPaintDevice ()
void setSize (const QSize &)
QSize size () const
virtual QPaintEngine * paintEngine () const
virtual int metric (PaintDeviceMetric metric) const
virtual void drawRects (const QRect *, int)
virtual void drawRects (const QRectF *, int)
virtual void drawLines (const QLine *, int)
virtual void drawLines (const QLineF *, int)
virtual void drawEllipse (const QRectF &)
virtual void drawEllipse (const QRect &)
virtual void drawPath (const QPainterPath &)
virtual void drawPoints (const QPointF *, int)
virtual void drawPoints (const QPoint *, int)
virtual void drawPolygon (const QPointF *, int, QPaintEngine::PolygonDrawMode)
virtual void drawPolygon (const QPoint *, int, QPaintEngine::PolygonDrawMode)
virtual void drawPixmap (const QRectF &, const QPixmap &, const QRectF &)
virtual void drawTextItem (const QPointF &, const QTextItem &)
virtual void drawTiledPixmap (const QRectF &, const QPixmap &, const QPointF &s)
virtual void drawImage (const QRectF &, const QImage &, const QRectF &, Qt::ImageConversionFlags)
virtual void updateState (const QPaintEngineState &state)

Detailed Description

A null paint device doing nothing. Sometimes important layout/rendering geometries are not available or changable from the public Qt class interface. ( f.e hidden in the style implementation ).

QwtNullPaintDevice can be used to manipulate or filter out these informations by analyzing the stream of paint primitives.

F.e. QwtNullPaintDevice is used by QwtPlotCanvas to identify styled backgrounds with rounded corners.

Constructor & Destructor Documentation

  QwtNullPaintDevice::QwtNullPaintDevice (QPaintEngine::PaintEngineFeaturesfeatures)

Constructor.

  QwtNullPaintDevice::QwtNullPaintDevice (const QSize &size, QPaintEngine::PaintEngineFeaturesfeatures)

Constructor.

  QwtNullPaintDevice::~QwtNullPaintDevice () [virtual]

Destructor.

Member Function Documentation

  void QwtNullPaintDevice::drawEllipse (const QRectF &rect) [virtual]

See QPaintEngine::drawEllipse()

  void QwtNullPaintDevice::drawEllipse (const QRect &rect) [virtual]

See QPaintEngine::drawEllipse()

  void QwtNullPaintDevice::drawImage (const QRectF &rect, const QImage &image, const QRectF &subRect, Qt::ImageConversionFlagsflags) [virtual]

See QPaintEngine::drawImage()

  void QwtNullPaintDevice::drawLines (const QLineF *lines, intlineCount) [virtual]

See QPaintEngine::drawLines()

  void QwtNullPaintDevice::drawLines (const QLine *lines, intlineCount) [virtual]

See QPaintEngine::drawLines()

  void QwtNullPaintDevice::drawPath (const QPainterPath &path) [virtual]

See QPaintEngine::drawPath()

  void QwtNullPaintDevice::drawPixmap (const QRectF &rect, const QPixmap &pm, const QRectF &subRect) [virtual]

See QPaintEngine::drawPixmap()

  void QwtNullPaintDevice::drawPoints (const QPointF *points, intpointCount) [virtual]

See QPaintEngine::drawPoints()

  void QwtNullPaintDevice::drawPoints (const QPoint *points, intpointCount) [virtual]

See QPaintEngine::drawPoints()

  void QwtNullPaintDevice::drawPolygon (const QPoint *points, intpointCount, QPaintEngine::PolygonDrawModemode) [virtual]

See QPaintEngine::drawPolygon()

  void QwtNullPaintDevice::drawPolygon (const QPointF *points, intpointCount, QPaintEngine::PolygonDrawModemode) [virtual]

See QPaintEngine::drawPolygon()

  void QwtNullPaintDevice::drawRects (const QRectF *rects, intrectCount) [virtual]

See QPaintEngine::drawRects()

  void QwtNullPaintDevice::drawRects (const QRect *rects, intrectCount) [virtual]

See QPaintEngine::drawRects()

  void QwtNullPaintDevice::drawTextItem (const QPointF &pos, const QTextItem &textItem) [virtual]

See QPaintEngine::drawTextItem()

  void QwtNullPaintDevice::drawTiledPixmap (const QRectF &rect, const QPixmap &pixmap, const QPointF &s) [virtual]

See QPaintEngine::drawTiledPixmap()

  int QwtNullPaintDevice::metric (PaintDeviceMetricmetric) const [virtual] See QPaintDevice::metric()

See also:
    setSize()

  QPaintEngine * QwtNullPaintDevice::paintEngine () const [virtual]

See QPaintDevice::paintEngine()

  void QwtNullPaintDevice::setSize (const QSize &size) Set the size of the paint device

Parameters:
    size Size

See also:
    size()

  QSize QwtNullPaintDevice::size () const Returns:
    Size of the paint device

See also:
    setSize()

  void QwtNullPaintDevice::updateState (const QPaintEngineState &state) [virtual]

See QPaintEngine::updateState()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.